osl::rating::PatternLongGroup Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Attributes | Static Private Member Functions | Private Attributes | List of all members
osl::rating::PatternLongGroup Class Reference

`#include <patternGroup.h>`

Inheritance diagram for osl::rating::PatternLongGroup:
[legend]
Collaboration diagram for osl::rating::PatternLongGroup:
[legend]

## Public Member Functions
| PatternLongGroup (int d)
Direction | makeDirection (Ptype ptype) const
void | show (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move m, const RatingEnv &env) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, vector< double > &weights) const

## Static Public Attributes
static const CArray< Direction, 4 > | rook_direction4 = {{ U, L, D, R }}
static const CArray< Direction, 4 > | bishop_direction4 = {{ UL, DL, DR, UR }}

## Static Private Member Functions
static std::string | name (int direction_id)

## Private Attributes
int | direction_id

## Additional Inherited Members
Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 29 of file patternGroup.h.

## Constructor & Destructor Documentation

osl::rating::PatternLongGroup::PatternLongGroup | ( | int | d) |  |
| explicit

Definition at line 75 of file patternGroup.cc.

References osl::BISHOP, osl::LANCE, makeDirection(), osl::PBISHOP, osl::PROOK, osl::PTYPE_EDGE, osl::PTYPE_EMPTY, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, and osl::ROOK.

## Member Function Documentation

bool osl::rating::PatternLongGroup::effectiveInCheck | ( | ) |  | const
| inlinevirtual

Reimplemented from osl::rating::Group.

Definition at line 50 of file patternGroup.h.

int osl::rating::PatternLongGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env
| ) |  | const
| virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 98 of file patternGroup.cc.

References osl::BISHOP, osl::rating::PatternLong::find(), osl::rating::CountEffect2::index(), osl::rating::LongTarget::isPromotable(), osl::LANCE, osl::PBISHOP, osl::Move::player(), osl::PROOK, osl::Move::ptype(), osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, and osl::ROOK.

Direction osl::rating::PatternLongGroup::makeDirection | ( | Ptype | ptype) |  | const
| inline

Definition at line 40 of file patternGroup.h.

References osl::BISHOP, bishop_direction4, direction_id, rook_direction4, and osl::unpromote().

Referenced by PatternLongGroup().

std::string osl::rating::PatternLongGroup::name | ( | int | direction_id) |  |
| staticprivate

Definition at line 68 of file patternGroup.cc.

void osl::rating::PatternLongGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const vector< double > & | weights
| ) |  | const
| inlinevirtual

Reimplemented from osl::rating::Group.

Definition at line 44 of file patternGroup.h.

References osl::rating::Group::showTopN().

## Member Data Documentation

const osl::CArray< osl::Direction, 4 > osl::rating::PatternLongGroup::bishop_direction4 = {{ UL, DL, DR, UR }}
| static

Definition at line 33 of file patternGroup.h.

Referenced by makeDirection(), and osl::rating::PatternLongGroup2::makeDirection().

int osl::rating::PatternLongGroup::direction_id
| private

Definition at line 36 of file patternGroup.h.

Referenced by makeDirection().

const osl::CArray< osl::Direction, 4 > osl::rating::PatternLongGroup::rook_direction4 = {{ U, L, D, R }}
| static

Definition at line 32 of file patternGroup.h.

Referenced by makeDirection(), and osl::rating::PatternLongGroup2::makeDirection().

The documentation for this class was generated from the following files:

- patternGroup.h
- patternGroup.cc